package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@TableName(value = "订单表",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Orders extends BaseEntity {

    /**
     * 订单的唯一标识
     */
    @TableId(value = "order_id",type = IdType.AUTO)
    private Long orderId;
    /**
     * 用户名
     */
    @Schema(description = "用户名",type = "Long")
    private Long userId;
    /**
     * 商品Id
     */
    @Schema(description = "商品Id",type = "Long")
    private Long apiId;
    /**
     * 订单号
     */
    @Schema(description = "订单号",type = "String")
    private String orderNo;
    /**
     * 订单状态
     */
    @Schema(description = "订单状态",type = "String")
    private String orderStatus;
    /**
     * 订单总金额
     */
    @Schema(description = "订单总金额",type = "BigDecimal")
    private BigDecimal totalAmount;
    /**
     * 订单创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单创建时间",type = "Date")
    private Date createTime;
    /**
     * 订单更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "订单更新时间",type = "Date")
    private Date updateTime;
    /**
     * 订单备注
     */
    @Schema(description = "订单备注",type = "String")
    private String note;


    private String createBy;
    private String updateBy;
    private String remark;



}
