package com.muyu.market.server.controller;


import com.muyu.common.core.domain.Result;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.request.OrdersListReq;
import com.muyu.market.admain.response.OrdersListResp;
import com.muyu.market.server.service.OrdersService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/orders")
@Tag(name = "订单控制层",description = "订单查询")
public class OrdersController {

    @Autowired
    private OrdersService ordersService;


    /**
     * 订单的添加
     * @param myapi
     * @return
     */
    @PostMapping("/Saveorders")
    @Operation(summary = "订单添加",description = "订单的添加")
    public Result<String> createOrders(@RequestBody Myapi myapi){

        ordersService.saveOrders(myapi);
        return Result.success();
    }



    /**
     * 查询订单信息
     * @param ordersListReq
     * @return
     */
    @PostMapping("/ordersSelect")
    @Operation(summary = "查询订单信息",description = "查询订单信息")
    public Result<List<OrdersListResp>> ordersSelect(@RequestBody OrdersListReq ordersListReq){
       List<OrdersListResp> selList = ordersService.ordersSelect(ordersListReq);
       return Result.success(selList);
    }






}
