package com.muyu.market.server.service.Impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.market.admain.Myapi;
import com.muyu.market.admain.Orders;
import com.muyu.market.admain.request.OrdersListReq;
import com.muyu.market.admain.response.OrdersListResp;
import com.muyu.market.server.mapper.OrdersMapper;
import com.muyu.market.server.service.OrdersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class OrdersServiceImpl extends ServiceImpl<OrdersMapper, Orders> implements OrdersService {

   @Autowired
   private OrdersMapper ordersMapper;


    @Override
    public void saveOrders(Myapi myapi) {

        Orders orders = new Orders();
        //获取用户ID
        Long userId = SecurityUtils.getUserId();
        orders.setUserId(userId);
        //获取商品ID
        orders.setApiId(myapi.getApiId());
        //获取金额
        orders.setTotalAmount(myapi.getPrice());
        //创建时间为当前时间
        orders.setCreateTime(new Date());
        //修改时间为当前时间
        orders.setUpdateTime(new Date());

        try {
            ordersMapper.insert(orders);
        } catch (Exception e) {

        }


    }

    @Override
    public List<OrdersListResp> ordersSelect(OrdersListReq ordersListReq) {
        return ordersMapper.ordersSelect(ordersListReq);
    }
}
